Opened 9 years ago

Closed 9 years ago

Last modified 9 years ago

#37900 closed defect (duplicate)

x264 must specify its deps

Reported by: mkae (Marko Käning) Owned by: dbevans (David B. Evans)
Priority: Normal Milestone:
Component: ports Version: 2.1.2
Keywords: Cc:
Port: x264

Description

Issue #37849 revealed that at least libavutil is needed by port x264.

The portfile needs an update.

Change History (4)

comment:1 Changed 9 years ago by jmroot (Joshua Root)

ffmpeg depends on x264, so adding a dependency on ffmpeg is not an option. It's clearly not required since it builds without ffmpeg installed. The archives on packages.macports.org aren't linked against it (neither the current ones nor the ones from just before the latest rev bump).

comment:2 Changed 9 years ago by jmroot (Joshua Root)

Resolution: duplicate
Status: newclosed

#37347 (so the reporter of #37849 should have just let rev-upgrade do its thing; no rev bump was necessary)

comment:3 Changed 9 years ago by mkae (Marko Käning)

rev-upgrade didn't do its thing, which is why I revbumped x264

comment:4 Changed 9 years ago by jmroot (Joshua Root)

So you're saying there's a bug in rev-upgrade? Shouldn't there be a ticket against base then?

Note: See TracTickets for help on using tickets.